Package: org.grails.gradle.plugin.model

## [Groovy] Interface GrailsClasspath

-     @groovy.transform.CompileStatic
      interface GrailsClasspath
      extends java.io.Serializable

  Gradle ToolingModel class that is used to return Classpath to Grails cli this file is also in grails-shell project

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `abstract java.util.List<java.net.URL>` | `getDependencies()` Returns: All Grails dependencies, pull from 'testRuntimeOnly' scope
    `` | `abstract java.lang.String` | `getError()` Returns: The error message if one occurred
    `` | `abstract java.util.List<java.net.URL>` | `getProfileDependencies()` Returns: The profile dependencies

- - ### Method Detail

    - #### abstract java.util.List<java.net.URL> getDependencies()

      Returns:
        All Grails dependencies, pull from 'testRuntimeOnly' scope

    - #### abstract java.lang.String getError()

      Returns:
        The error message if one occurred

    - #### abstract java.util.List<java.net.URL> getProfileDependencies()

      Returns:
        The profile dependencies